// Include Standard files
#include "include/AT91SAM7X-EK.h"

/* Global variables */
#define SPEED 		(MCKKHz/1000)



int main()
{   
    // activated clock on PIO
       AT91C_BASE_PMC->PMC_PCER =  (1 << ID_PIO_LED);
	// then on PMC
       AT91C_BASE_PMC->PMC_PCER =  (1 << AT91C_ID_PWMC);

	// define LED Output pins for PIO :
	//     PIO mode for LED1 and LED4
	//     PWM mode for LED2 and LED3 (peripheral A)
    BASE_PIO_LED->PIO_PER = LED1|LED4; // Set in PIO mode
    BASE_PIO_LED->PIO_OER = LED1|LED4; // Configure in Output
    BASE_PIO_LED->PIO_PDR = LED2|LED3; // IO is controlled by module
    BASE_PIO_LED->PIO_ASR = LED2|LED3; // Select A module (PWM)


    BASE_PIO_LED->PIO_SODR = LED1; // shut down LED1
	BASE_PIO_LED->PIO_CODR = LED4; // light LED4
	

       
    AT91C_BASE_PWMC->PWMC_MR = 200;                            // set CLKA frequency (How ?)
    AT91C_BASE_PWMC_CH1->PWMC_CMR = AT91C_PWMC_CPRE_MCKA;      // mystery line
    AT91C_BASE_PWMC_CH1->PWMC_CDTYR = 0x7F;                    // CH1 duty cycle
    AT91C_BASE_PWMC_CH1->PWMC_CPRDR = 0x7FF;                   // CH1 cycle max value
    AT91C_BASE_PWMC_CH2->PWMC_CMR = AT91C_PWMC_CPRE_MCKA;      // mystery line
    AT91C_BASE_PWMC_CH2->PWMC_CDTYR = 0x1FF;                   // CH2 duty cycle
    AT91C_BASE_PWMC_CH2->PWMC_CPRDR = 0x7FF;                   // CH2 cycle max value
    AT91C_BASE_PWMC->PWMC_ENA = AT91C_PWMC_CHID1 |  AT91C_PWMC_CHID2; // activate CH1 and CH2
       


    for (;;)
    {
			// Nothing ! it works by itself !
    }
}
